# Aggregated Table

### Description:

The Aggregated Table add-on extends the functionality of the Table widget by supporting aggregation across the whole table.
This add-on allows you to sort the rows based on the lowest granularity across the entire table.
This behavior is different from the regular table widget which groups the data, and supports sorting the rows inside each group, but not across the whole table.

### Set up instruction:

For Windows users:
Extract the `.zip` folder to `C:\Program Files\Sisense\PrismWeb\Plugins` 
   - If the folder does not exist, please create it before extracting the `.zip` file
   - Use alternative plugins folder `C:\Program Files\Sisense\app\plugins` starting from sisense version 7.2+

For Linux users:
    Extract the `.zip` folder to `/opt/sisense/storage/plugins/`

### Configure the plugin:
In case of using `Proxy URL` need to set the same variable for styles:
 - open file `plugins\aggregatedTable\styles\widget.scss`
 - set `Proxy URL` value to `$proxyurl` variable


### Usage:
 - Create a new widget. The Aggregated table widget is displayed in the list of widget options.
 - Select the Aggregated Table from the chart types menu.
 - Click Create. The widget is added to the dashboard.